---
name: New Feature
about: Notify that a new feature is being planned
---

# New Feature

**Name**: *Feature name*

**module**:  *potential_filename.py* 

**package**: *which directory should it go in*

## Scope

*Create a check list using markdowns [checklist syntax](https://help.github.com/en/github/managing-your-work-on-github/about-task-lists) on the scope of the feature*

*What will the feature do?*

*What will the feature not do?* 

## Description

*Please provide a description of the new feature and if will improve or solve a problem.*

### pyDARN Checklist 

-  [ ] Does this fit within pyDARN's scope? 
-  [ ] Is this a minor change i.e., new small utility function?
-  [ ] Is this a major change i.e., new plotting function?
-  [ ] Do you need help developing it? 
-  [ ] Have you created a pyDARN GitHub [project](https://github.com/SuperDARN/pydarn/projects) to show the tasks needed to be done? 

### Developement help

*pyDARN does not have a dedicated development team on hand to full feature development. 
However, if you are able to provide some time and help, the community will try to aid you the best way they can in making your feature possible.*

*If you need help please indicate what expertise you are looking for:*
- [ ] developer help with design and integration of code
- [ ] scientific help with ensuring what you develop is scientifically correct/accurate
- [ ] project management to help organize what steps need to be taken to make this possible 

*Please also provide any other information you may need help with not including testing/reviewers of code*

## User Interface 

*Please provide **pseudocode** on how you see your new feature interacting with the code or user-interface*

## Extra Notes

*Please provide any other details about this feature*
- *publications*
- *GitHub link of code in another language or in python*
- *examples you may have seen that you will like to incorportate - data visuals*
- *potential solutions to current/future problems*
